> ## Documentation Index
> Fetch the complete documentation index at: https://docs.prequel.co/llms.txt
> Use this file to discover all available pages before exploring further.

# Test new stream load

> Validate a candidate (unsaved) stream definition and run its load mapping against a sample of records. Does not persist the stream.



## OpenAPI

````yaml /generated/openapi-import-generated-2023-12-01.json post /import/test-load
openapi: 3.1.0
info:
  title: Prequel Data Import
  description: Data Import API spec
  version: '2023-12-01'
servers:
  - url: https://api.prequel.co
    description: Cloud-hosted server (US)
  - url: https://eu-api.prequel.co
    description: Cloud-hosted server (EU)
  - url: https://{custom_host}
    description: Self-hosted Prequel API host
security:
  - ApiKeyAuth: []
paths:
  /import/test-load:
    post:
      tags:
        - Import Streams
      summary: Test new stream load
      description: >-
        Validate a candidate (unsaved) stream definition and run its load
        mapping against a sample of records. Does not persist the stream.
      operationId: test-new-import-stream-load
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/TestNewStreamLoadRequest'
              $schema: https://json-schema.org/draft/2020-12/schema
              $id: >-
                https://github.com/prequel-co/datafeed/internal/import/api/models/test-new-stream-load-request
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                properties:
                  status:
                    type: string
                    const: success
                  data:
                    $ref: '#/components/schemas/TestStreamLoadResponse'
                    $schema: https://json-schema.org/draft/2020-12/schema
                    $id: >-
                      https://github.com/prequel-co/datafeed/internal/import/api/models/test-stream-load-response
                  message:
                    type: string
                type: object
                required:
                  - status
                  - data
                  - message
        '400':
          $ref: '#/components/responses/BadRequest'
        '401':
          $ref: '#/components/responses/Unauthorized'
        '404':
          $ref: '#/components/responses/NotFound'
        '500':
          $ref: '#/components/responses/InternalServerError'
      security:
        - ApiKeyAuth: []
components:
  schemas:
    TestNewStreamLoadRequest:
      properties:
        stream:
          $ref: '#/components/schemas/StreamOptions'
          title: Stream
          description: Candidate stream definition to test.
        record_ids:
          items:
            type: string
          type: array
          maxItems: 100
          minItems: 1
          title: Record IDs
          description: List of specific record IDs to test the transformation against.
      additionalProperties: false
      type: object
      required:
        - stream
        - record_ids
    TestStreamLoadResponse:
      properties:
        records:
          items: true
          type: array
      additionalProperties: false
      type: object
      required:
        - records
    StreamOptions:
      properties:
        name:
          type: string
          title: Name
          description: Name for this stream.
        is_enabled:
          type: boolean
          title: Is Enabled
          description: Whether this stream is enabled.
          default: false
        destination_id:
          type: string
          format: uuid
          title: Destination ID
          description: The ID of the destination this stream connects to.
        dataset_id:
          type: string
          format: uuid
          title: Dataset ID
          description: The ID of the dataset this stream uses as source.
        mappings:
          items:
            $ref: '#/components/schemas/MappingOptions'
          type: array
          title: Mappings
          description: Field mappings for this stream.
      additionalProperties: false
      type: object
      required:
        - name
        - destination_id
        - dataset_id
        - mappings
    ErrorResponse:
      properties:
        status:
          type: string
          const: error
        message:
          type: string
        data:
          type: 'null'
      type: object
      required:
        - status
        - message
    MappingOptions:
      properties:
        field_type:
          type: string
          title: Field Type
          description: Type of field mapping (field or expression).
        column:
          additionalProperties:
            type: string
          type: object
          title: Column
          description: Column reference for field type mappings.
        expression:
          additionalProperties:
            type: string
          type: object
          title: Expression
          description: Configuration for expression field mappings.
        target_field:
          type: string
          title: Target Field
          description: The target field name in the destination.
      additionalProperties: false
      type: object
      required:
        - field_type
        - target_field
  responses:
    BadRequest:
      description: Bad Request
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorResponse'
    Unauthorized:
      description: Unauthorized
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorResponse'
    NotFound:
      description: Not Found
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorResponse'
    InternalServerError:
      description: Internal Server Error
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorResponse'
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: X-API-KEY

````